package com.jjoe64.graphviewdemos;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

import android.app.Activity;
import android.graphics.Color;
import android.graphics.Paint.Align;
import android.os.Bundle;
import android.widget.LinearLayout;

import com.jjoe64.graphview.CustomLabelFormatter;
import com.jjoe64.graphview.GraphView;
import com.jjoe64.graphview.GraphView.GraphViewData;
import com.jjoe64.graphview.GraphViewSeries;
import com.jjoe64.graphview.GraphViewSeries.GraphViewSeriesStyle;
import com.jjoe64.graphview.LineGraphView;

public class ZFBGraph extends Activity {

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.zfb_graphs);
    // init example series data
    long now = new Date().getTime();
    long t = 86400000;

    GraphViewSeries exampleSeries =
        new GraphViewSeries("", new GraphViewSeriesStyle(Color.rgb(250, 98, 65), 4),
            new GraphViewData[] {new GraphViewData(now - 6 * t, 0),
                new GraphViewData(now - 5 * t, 10d), new GraphViewData(now - 4 * t, 23d),
                new GraphViewData(now - 3 * t, 49d), new GraphViewData(now - 2 * t, 68d),
                new GraphViewData(now - 1 * t, 120d), new GraphViewData(now, 94d)});

    GraphView graphView;
    graphView = new LineGraphView(this, "");
    ((LineGraphView) graphView).setDrawBackground(true);
    // 线条色
    ((LineGraphView) graphView).setBackgroundColor(Color.argb(128, 254, 232, 226));
    ((LineGraphView) graphView).setDataPointsRadius(0);

    // 字体色
    int fontColor = Color.parseColor("#9B9A9B");
    // 风格色
    graphView.getGraphViewStyle().setGridColor(Color.parseColor("#EEEEEE"));
    graphView.getGraphViewStyle().setHorizontalLabelsColor(fontColor);
    graphView.getGraphViewStyle().setVerticalLabelsColor(fontColor);
    // x轴标签数
    graphView.getGraphViewStyle().setNumHorizontalLabels(7);
    // y轴标签数
    graphView.getGraphViewStyle().setNumVerticalLabels(4);
    // 字号
    graphView.getGraphViewStyle().setTextSize(DensityUtil.sp2px(this, 12));
    graphView.getGraphViewStyle().setVerticalLabelsAlign(Align.RIGHT);
    graphView.getGraphViewStyle().setVerticalLabelsWidth(DensityUtil.sp2px(this, 20));

    graphView.addSeries(exampleSeries);

    final SimpleDateFormat dateFormat = new SimpleDateFormat("MM-dd", Locale.CHINESE);
    graphView.setCustomLabelFormatter(new CustomLabelFormatter() {
      @Override
      public String formatLabel(double value, boolean isValueX) {
        if (isValueX) {
          Date d = new Date((long) value);
          return dateFormat.format(d);
        }
        return null;
      }
    });


    LinearLayout layout = (LinearLayout) findViewById(R.id.graph);
    layout.addView(graphView);
  }
}
